--- a/projects/libcxx/src/CMakeLists.txt.orig	2021-02-21 12:43:30.000000000 -0800
+++ b/projects/libcxx/src/CMakeLists.txt	2021-02-21 12:48:27.000000000 -0800
@@ -209,11 +209,11 @@
   if (LIBCXX_OSX_REEXPORT_LIBCXXABI_SYMBOLS)
     target_link_libraries(cxx_shared PRIVATE
       "-Wl,-unexported_symbols_list,${CMAKE_CURRENT_SOURCE_DIR}/../lib/libc++unexp.exp"
-      "-Wl,-reexported_symbols_list,${CMAKE_CURRENT_SOURCE_DIR}/../lib/libc++abi.v${LIBCXX_LIBCPPABI_VERSION}.exp"
+      "-Wl,-reexport_library,/usr/lib/libc++abi.dylib"
       "-Wl,-force_symbols_not_weak_list,${CMAKE_CURRENT_SOURCE_DIR}/../lib/notweak.exp"
       "-Wl,-force_symbols_weak_list,${CMAKE_CURRENT_SOURCE_DIR}/../lib/weak.exp")
 
-    if (LIBCXX_ENABLE_EXCEPTIONS)
+    if (LIBCXX_ENABLE_EXCEPTIONS AND (CMAKE_OSX_DEPLOYMENT_TARGET GREATER_EQUAL 10.7))
       if ("${CMAKE_OSX_ARCHITECTURES}" MATCHES "^(armv6|armv7|armv7s)$")
         target_link_libraries(cxx_shared PRIVATE "-Wl,-reexported_symbols_list,${CMAKE_CURRENT_SOURCE_DIR}/../lib/libc++abi-exceptions.sjlj.exp")
       else()
@@ -222,7 +222,9 @@
     endif()
 
     if (NOT LIBCXX_ENABLE_NEW_DELETE_DEFINITIONS)
-      target_link_libraries(cxx_shared PRIVATE "-Wl,-reexported_symbols_list,${CMAKE_CURRENT_SOURCE_DIR}/../lib/libc++abi-new-delete.exp")
+       if (CMAKE_OSX_DEPLOYMENT_TARGET GREATER_EQUAL 10.7)
+         target_link_libraries(cxx_shared PRIVATE "-Wl,-reexported_symbols_list,${CMAKE_CURRENT_SOURCE_DIR}/../lib/libc++abi-new-delete.exp")
+       endif()
     endif()
   endif()
 
